Subject: bug#67456: [PATCH] seq.el: Add functions for mapping over subsequences

From: Stefan Kangas <[email-masked]>
Date: Sun, 23 Feb 2025 01:04:21 +0000

Okamsn <[email-masked]> writes:

> Augusto Stoffel wrote:
>> This operation has quadratic complexity for anything other than regular
>> linked lists.  I'm not sure it's a good idea to add it to a generic
>> sequence library...
>
>
> Thank you for the feedback.
>
> Do you know whether there is a better way to implement the idea for
> arrays? Is there a way to apply a function to a portion of the array
> without copying the sub-sequences, if that is what you mean?

Hmm, it seems like this issue got stuck due to problems with algorithmic
complexity.  Performance is a real issue in seq.el, so I think we should
solve that before we consider installing anything.

Are you still working on this?